/*
 * sun-rbootd  yamamori@kt.rim.or.jp
 */

#ifdef LINUX
struct ether_addr {unsigned char ether_addr_octet[6];};
struct ether_header {struct ether_addr ether_dhost, ether_shost;
  unsigned short ether_type;};
#endif

char *ether_if(void);
int ether_open(char *name, struct ether_addr *ea);

#if defined(SUNOS4)
int ether_write(int fd, char *pkt, int len);
#elif defined(SOLARIS2) || defined(NEWSOS_4) || defined(NETBSD)
# define ether_write(fd, pkt, len) write((fd),(pkt),(len))
#endif

#if defined(SUNOS4) || defined(SOLARIS2)
# define ether_read(fd, pkt, len) read((fd),(pkt),(len))
#elif defined(NEWSOS_4) || defined(NETBSD)
int ether_read(int fd, char *pkt, int len);
#endif

#ifdef NEWSOS_4
void setsid(void);
#endif


#ifndef __BIT_TYPES_DEFINED__
typedef unsigned char u_int8_t;
typedef unsigned short u_int16_t;
#endif

#include "rmp.h"
#undef RMP_MAX_PACKET
#define RMP_MAX_PACKET 1514
#include "rmp_var.h"
